

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.16. grn_info &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.17. grn_inspect" href="grn_inspect.html" />
    <link rel="prev" title="7.25.15. grn_index_cursor" href="grn_index_cursor.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_info.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_inspect.html" title="7.25.17. grn_inspect"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_index_cursor.html" title="7.25.15. grn_index_cursor"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.16. </span><code class="docutils literal notranslate"><span class="pre">grn_info</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-info">
<h1><span class="section-number">7.25.16. </span><code class="docutils literal notranslate"><span class="pre">grn_info</span></code><a class="headerlink" href="#grn-info" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.16.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.16.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.16.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c type">
<dt id="c.grn_info_type">
<em class="property">type </em><code class="sig-name descname">grn_info_type</code><a class="headerlink" href="#c.grn_info_type" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>TODO…</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_get_info">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_obj_get_info</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_info_type" title="grn_info_type">grn_info_type</a> <em>type</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>valuebuf</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_get_info" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>objのtypeに対応する情報をvaluebufに格納します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 対象objを指定します。</p></li>
<li><p><strong>type</strong> – 取得する情報の種類を指定します。</p></li>
<li><p><strong>valuebuf</strong> – 値を格納するバッファ（呼出側で準備）を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_set_info">
grn_rc <code class="sig-name descname">grn_obj_set_info</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_info_type" title="grn_info_type">grn_info_type</a> <em>type</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>value</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_set_info" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>objのtypeに対応する情報をvalueの内容に更新します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 対象objを指定します。</p></li>
<li><p><strong>type</strong> – 設定する情報の種類を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_get_element_info">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_obj_get_element_info</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, grn_id <em>id</em>, <a class="reference internal" href="#c.grn_info_type" title="grn_info_type">grn_info_type</a> <em>type</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>value</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_get_element_info" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>objのidに対応するレコードの、typeに対応する情報をvaluebufに格納します。呼出側ではtypeに応じて十分なサイズのバッファを確保しなければいけません。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 対象objを指定します。</p></li>
<li><p><strong>id</strong> – 対象IDを指定します。</p></li>
<li><p><strong>type</strong> – 取得する情報の種類を指定します。</p></li>
<li><p><strong>value</strong> – 値を格納するバッファ（呼出側で準備）を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_set_element_info">
grn_rc <code class="sig-name descname">grn_obj_set_element_info</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, grn_id <em>id</em>, <a class="reference internal" href="#c.grn_info_type" title="grn_info_type">grn_info_type</a> <em>type</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>value</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_set_element_info" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>objのidに対応するレコードのtypeに対応する情報をvalueの内容に更新します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 対象objectを指定します。</p></li>
<li><p><strong>id</strong> – 対象IDを指定します。</p></li>
<li><p><strong>type</strong> – 設定する情報の種類を指定します。</p></li>
<li><p><strong>value</strong> – 設定しようとする値を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.16. <code class="docutils literal notranslate"><span class="pre">grn_info</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.16.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.16.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.16.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_index_cursor.html"
                        title="previous chapter"><span class="section-number">7.25.15. </span><code class="docutils literal notranslate"><span class="pre">grn_index_cursor</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_inspect.html"
                        title="next chapter"><span class="section-number">7.25.17. </span><code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_inspect.html" title="7.25.17. grn_inspect"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_index_cursor.html" title="7.25.15. grn_index_cursor"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.16. </span><code class="docutils literal notranslate"><span class="pre">grn_info</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>